package com.heyu.api.data.service.operation;
/**
* <p>
* 一些触发事件配置：关键字配置：天气，新闻事件，节日 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.operation.OperatinEventConfigEntity;
public interface OperatinEventConfigService extends IService<OperatinEventConfigEntity> {



	OperatinEventConfigEntity selectOperatinEventConfigById(Long id);


	Long insertOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig);


	Long insertOrUpdateOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig);


	int updateOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig);


	int updateCoverOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig);


	int deleteOperatinEventConfigById(Long id);


}